Subject: Re: [lmap] draft-ietf-lmap-information-model-06: New additions for Schedule Object

From: "Carey, Timothy (Timothy)" <[email-masked]>
Date: Wed, 16 Sep 2015 10:09:32 +0000

Hi,

In light of the Virtual meeting next week I thought I would regenerate an open issue I have with the latest information model that I haven't seen discussion on.

BR,
Tim

From: Carey, Timothy (Timothy)
Sent: Tuesday, July 28, 2015 1:08 PM
To: [email-masked]
Subject: draft-ietf-lmap-information-model-06: New additions for Schedule Object

Juergen,

To help with the controller timeout, I added an indicator to the schedule in TR-069 that shows if the Schedule should be used for MA Control actions. Likewise I added a status parameter to tell if the Schedule is currently operationally disabled.

Do you think we can add these to the information model?

Status

string

-

The current operational state of the Schedule. Enumeration of:

  *   Enabled
  *   Disabled-MA-ControllerTimout
  *   Disabled-Other
  *   Error (OPTIONAL)
The Error value MAY be used by the CPE to indicate a locally defined error condition.

UseForMAControl

boolean

W

This parameter defines if the Schedule is to be used for Actions that specific to the

BR,
Tim